Phusion white papers Phusion overview

Ruby Enterprise Edition 1.8.6-20080621 released

By Hongli Lai on June 22nd, 2008

A new version of Ruby Enterprise Edition has been released, with the following changes:

MacOS X support
A number of people have been waiting for this. :)
Upgraded to RubyGems 1.2.0
A number of VPS users have reported that RubyGems 1.1.1 uses an excessive amount of memory, which causes their servers to swap to death. RubyGems 1.2.0 should solve this problem.
No need to reinstall already-installed gems
The RubyGems installation provided by Ruby Enterprise Edition will now reuse the gems that you have already installed (with regular Ruby). So if you have lots of gems installed, then you don’t need to reinstall them separately for Ruby Enterprise Edition.
Merged with Ruby 1.8.6-p230
This solves the recent security vulnerabilities.

How do I upgrade?

Go to the download page and follow the installation instructions. (*note*: RubyForge is still updating their mirrors, so the download might not be immediately available. In that case, please wait a few hours before trying again.)

  • http://reformationstudios.com meekish

    Thanks for getting this out so quickly!

  • Shawn Balestracci

    I’m seeing segfaults with this release on rails 1.2.6. These are similar to the problems with the ruby standard versions 1.8.6-p230 and 1.8.5-p231.

  • http://matthewbergman.com Matthew Bergman

    Yah, now if I can just figure out that internal server error. Love mod_rails